Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrNamedSelector

    java.lang.Object
      org.modeshape.graph.query.model.Selector
          org.modeshape.graph.query.model.NamedSelector
              org.modeshape.jcr.query.qom.JcrNamedSelector

All Implemented Interfaces:
  Serializable, Selector, LanguageObject, Source, Visitable, JcrSource

    public class JcrNamedSelector

extends NamedSelector
implements Selector, JcrSource

Implementation of the (named) selector for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrNamedSelector(NamedSelector selector)` Create a selector with the supplied selector.
`JcrNamedSelector(SelectorName nodeTypeName, SelectorName selectorName)` Create a selector with the supplied node type name and alias.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`String` | `getNodeTypeName()`
`String` | `getSelectorName()`
`int` | `hashCode()`

Methods inherited from class org.modeshape.graph.query.model.NamedSelector
`toString`

Methods inherited from class org.modeshape.graph.query.model.Selector
`alias, aliasOrName, hasAlias, name`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JcrNamedSelector

    public JcrNamedSelector(NamedSelector selector)

  Create a selector with the supplied selector.

  Parameters:
    `selector` - the selector; may not be null

### JcrNamedSelector

    public JcrNamedSelector(SelectorName nodeTypeName,
                            SelectorName selectorName)

  Create a selector with the supplied node type name and alias.

  Parameters:
    `nodeTypeName` - the name of the required node type; may not be null
    `selectorName` - the selector name; may not be null

Method Detail

### getNodeTypeName

    public String getNodeTypeName()

  Specified by:
    `getNodeTypeName` in interface `Selector`
  See Also:
    `Selector.getNodeTypeName()`

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `Selector`
  See Also:
    `Selector.getSelectorName()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `NamedSelector`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `NamedSelector`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `NamedSelector`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.